<?php
require_once(getabspath("classes/cipherer.php"));
$tdatadet_gasto = array();
	$tdatadet_gasto[".NumberOfChars"] = 80; 
	$tdatadet_gasto[".ShortName"] = "det_gasto";
	$tdatadet_gasto[".OwnerID"] = "";
	$tdatadet_gasto[".OriginalTable"] = "det_gasto";

//	field labels
$fieldLabelsdet_gasto = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdet_gasto["Spanish"] = array();
	$fieldToolTipsdet_gasto["Spanish"] = array();
	$fieldLabelsdet_gasto["Spanish"]["iddet_gasto"] = "Iddet Gasto";
	$fieldToolTipsdet_gasto["Spanish"]["iddet_gasto"] = "";
	$fieldLabelsdet_gasto["Spanish"]["idgasto"] = "Idgasto";
	$fieldToolTipsdet_gasto["Spanish"]["idgasto"] = "";
	$fieldLabelsdet_gasto["Spanish"]["idcuenta"] = "Cuenta";
	$fieldToolTipsdet_gasto["Spanish"]["idcuenta"] = "";
	$fieldLabelsdet_gasto["Spanish"]["importe"] = "Importe";
	$fieldToolTipsdet_gasto["Spanish"]["importe"] = "";
	$fieldLabelsdet_gasto["Spanish"]["idtipo_cuenta"] = "Forma gasto";
	$fieldToolTipsdet_gasto["Spanish"]["idtipo_cuenta"] = "";
	if (count($fieldToolTipsdet_gasto["Spanish"]))
		$tdatadet_gasto[".isUseToolTips"] = true;
}
	
	
	$tdatadet_gasto[".NCSearch"] = true;



$tdatadet_gasto[".shortTableName"] = "det_gasto";
$tdatadet_gasto[".nSecOptions"] = 0;
$tdatadet_gasto[".recsPerRowList"] = 1;
$tdatadet_gasto[".mainTableOwnerID"] = "";
$tdatadet_gasto[".moveNext"] = 1;
$tdatadet_gasto[".nType"] = 0;

$tdatadet_gasto[".strOriginalTableName"] = "det_gasto";




$tdatadet_gasto[".showAddInPopup"] = false;

$tdatadet_gasto[".showEditInPopup"] = false;

$tdatadet_gasto[".showViewInPopup"] = false;

$tdatadet_gasto[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatadet_gasto[".listAjax"] = true;
else 
	$tdatadet_gasto[".listAjax"] = false;

	$tdatadet_gasto[".audit"] = false;

	$tdatadet_gasto[".locking"] = false;

$tdatadet_gasto[".inlineEdit"] = true;
$tdatadet_gasto[".inlineAdd"] = true;

$tdatadet_gasto[".exportTo"] = true;

$tdatadet_gasto[".printFriendly"] = true;

$tdatadet_gasto[".delete"] = true;

$tdatadet_gasto[".showSimpleSearchOptions"] = false;

$tdatadet_gasto[".showSearchPanel"] = true;

if (isMobile())
	$tdatadet_gasto[".isUseAjaxSuggest"] = false;
else 
	$tdatadet_gasto[".isUseAjaxSuggest"] = true;

$tdatadet_gasto[".rowHighlite"] = true;

// button handlers file names

$tdatadet_gasto[".addPageEvents"] = true;

// use timepicker for search panel
$tdatadet_gasto[".isUseTimeForSearch"] = false;




$tdatadet_gasto[".allSearchFields"] = array();


$tdatadet_gasto[".googleLikeFields"][] = "iddet_gasto";
$tdatadet_gasto[".googleLikeFields"][] = "idgasto";
$tdatadet_gasto[".googleLikeFields"][] = "idcuenta";
$tdatadet_gasto[".googleLikeFields"][] = "importe";
$tdatadet_gasto[".googleLikeFields"][] = "idtipo_cuenta";



$tdatadet_gasto[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main


$tdatadet_gasto[".totalsFields"][] = array(
	"fName" => "importe", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');

$tdatadet_gasto[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadet_gasto[".strOrderBy"] = $tstrOrderBy;

$tdatadet_gasto[".orderindexes"] = array();

$tdatadet_gasto[".sqlHead"] = "SELECT iddet_gasto,  idgasto,  idcuenta,  importe,  idtipo_cuenta";
$tdatadet_gasto[".sqlFrom"] = "FROM det_gasto";
$tdatadet_gasto[".sqlWhereExpr"] = "";
$tdatadet_gasto[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadet_gasto[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadet_gasto[".arrGroupsPerPage"] = $arrGPP;

$tableKeysdet_gasto = array();
$tableKeysdet_gasto[] = "iddet_gasto";
$tdatadet_gasto[".Keys"] = $tableKeysdet_gasto;

$tdatadet_gasto[".listFields"] = array();
$tdatadet_gasto[".listFields"][] = "idcuenta";
$tdatadet_gasto[".listFields"][] = "idtipo_cuenta";
$tdatadet_gasto[".listFields"][] = "importe";

$tdatadet_gasto[".viewFields"] = array();

$tdatadet_gasto[".addFields"] = array();

$tdatadet_gasto[".inlineAddFields"] = array();
$tdatadet_gasto[".inlineAddFields"][] = "idcuenta";
$tdatadet_gasto[".inlineAddFields"][] = "idtipo_cuenta";
$tdatadet_gasto[".inlineAddFields"][] = "importe";

$tdatadet_gasto[".editFields"] = array();

$tdatadet_gasto[".inlineEditFields"] = array();
$tdatadet_gasto[".inlineEditFields"][] = "idcuenta";
$tdatadet_gasto[".inlineEditFields"][] = "idtipo_cuenta";
$tdatadet_gasto[".inlineEditFields"][] = "importe";

$tdatadet_gasto[".exportFields"] = array();
$tdatadet_gasto[".exportFields"][] = "iddet_gasto";
$tdatadet_gasto[".exportFields"][] = "idgasto";
$tdatadet_gasto[".exportFields"][] = "idcuenta";
$tdatadet_gasto[".exportFields"][] = "idtipo_cuenta";
$tdatadet_gasto[".exportFields"][] = "importe";

$tdatadet_gasto[".printFields"] = array();
$tdatadet_gasto[".printFields"][] = "idcuenta";
$tdatadet_gasto[".printFields"][] = "idtipo_cuenta";
$tdatadet_gasto[".printFields"][] = "importe";

//	iddet_gasto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "iddet_gasto";
	$fdata["GoodName"] = "iddet_gasto";
	$fdata["ownerTable"] = "det_gasto";
	$fdata["Label"] = "Iddet Gasto"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "iddet_gasto"; 
		$fdata["FullName"] = "iddet_gasto";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_gasto["iddet_gasto"] = $fdata;
//	idgasto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idgasto";
	$fdata["GoodName"] = "idgasto";
	$fdata["ownerTable"] = "det_gasto";
	$fdata["Label"] = "Idgasto"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idgasto"; 
		$fdata["FullName"] = "idgasto";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_gasto["idgasto"] = $fdata;
//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "det_gasto";
	$fdata["Label"] = "Cuenta"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "cuentas_abiertas";
	$edata["LookupOrderBy"] = "";
	
		
		$edata["LookupWhere"] = "nick = '" . $_SESSION["UserName"]."'";
	
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_gasto["idcuenta"] = $fdata;
//	importe
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "importe";
	$fdata["GoodName"] = "importe";
	$fdata["ownerTable"] = "det_gasto";
	$fdata["Label"] = "Importe"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "importe"; 
		$fdata["FullName"] = "importe";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:120px;";
	$edata["controlWidth"] = 120;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_gasto["importe"] = $fdata;
//	idtipo_cuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idtipo_cuenta";
	$fdata["GoodName"] = "idtipo_cuenta";
	$fdata["ownerTable"] = "det_gasto";
	$fdata["Label"] = "Forma gasto"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idtipo_cuenta"; 
		$fdata["FullName"] = "idtipo_cuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idtipo_cuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";
	
		
	$edata["LookupTable"] = "tipo_cuenta";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_gasto["idtipo_cuenta"] = $fdata;

	
$tables_data["det_gasto"]=&$tdatadet_gasto;
$field_labels["det_gasto"] = &$fieldLabelsdet_gasto;
$fieldToolTips["det_gasto"] = &$fieldToolTipsdet_gasto;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["det_gasto"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["det_gasto"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="gasto";
	$masterParams["mDataSourceTable"]="gasto";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "gasto";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 2;
	$masterParams["previewOnAdd"]= 1;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["det_gasto"][$mIndex] = $masterParams;	
		$masterTablesData["det_gasto"][$mIndex]["masterKeys"][]="idgasto";
		$masterTablesData["det_gasto"][$mIndex]["detailKeys"][]="idgasto";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_det_gasto()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "iddet_gasto,  idgasto,  idcuenta,  importe,  idtipo_cuenta";
$proto0["m_strFrom"] = "FROM det_gasto";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "iddet_gasto",
	"m_strTable" => "det_gasto"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idgasto",
	"m_strTable" => "det_gasto"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "det_gasto"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "importe",
	"m_strTable" => "det_gasto"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "idtipo_cuenta",
	"m_strTable" => "det_gasto"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto15=array();
$proto15["m_link"] = "SQLL_MAIN";
			$proto16=array();
$proto16["m_strName"] = "det_gasto";
$proto16["m_columns"] = array();
$proto16["m_columns"][] = "iddet_gasto";
$proto16["m_columns"][] = "idgasto";
$proto16["m_columns"][] = "idcuenta";
$proto16["m_columns"][] = "idtipo_cuenta";
$proto16["m_columns"][] = "importe";
$proto16["m_columns"][] = "anulado";
$obj = new SQLTable($proto16);

$proto15["m_table"] = $obj;
$proto15["m_alias"] = "";
$proto17=array();
$proto17["m_sql"] = "";
$proto17["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto17["m_column"]=$obj;
$proto17["m_contained"] = array();
$proto17["m_strCase"] = "";
$proto17["m_havingmode"] = "0";
$proto17["m_inBrackets"] = "0";
$proto17["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto17);

$proto15["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto15);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_det_gasto = createSqlQuery_det_gasto();
					$tdatadet_gasto[".sqlquery"] = $queryData_det_gasto;
	
if(isset($tdatadet_gasto["field2"])){
	$tdatadet_gasto["field2"]["LookupTable"] = "carscars_view";
	$tdatadet_gasto["field2"]["LookupOrderBy"] = "name";
	$tdatadet_gasto["field2"]["LookupType"] = 4;
	$tdatadet_gasto["field2"]["LinkField"] = "email";
	$tdatadet_gasto["field2"]["DisplayField"] = "name";
	$tdatadet_gasto[".hasCustomViewField"] = true;
}

include_once(getabspath("include/det_gasto_events.php"));
$tableEvents["det_gasto"] = new eventclass_det_gasto;
$tdatadet_gasto[".hasEvents"] = true;

$cipherer = new RunnerCipherer("det_gasto");

?>